/*
===========================================================================
	CHEMGLOB.PRO   

	Global declarations for CHEMICAL project

	Copyright (c) 1986, 1990 by Prolog Development Center
===========================================================================
*/

GLOBAL DOMAINS

  STRLIST=SYMBOL*
  KEY    = 	cr ; 
		esc ; 
		break ; 
		tab ; 
		btab ; 
		del ; 
		bdel ; 
		ins ;
  	    	end ; 
		home ; 
		ftast(INTEGER) ; 
		up ; 
		down ; 
		left ; 
		right ;
  	    	tegn(CHAR) ; 
		otherspec

  direction=    up(integer);
		down(integer);
		left(integer);
		right(integer).

      List=symbol*.

      Int_list=integer*.

      element=  err(symbol);
		sp_name(symbol);
		nc(integer);
		db(int_list);
		trb(int_list);
		loc(int_list).

      Llist=element*.


GLOBAL DATABASE

  status(symbol)
  stem(symbol,integer) 
  sp_stem(symbol,integer) 
  prefix(symbol,integer) 
  prefix1(symbol,integer) 
  halogen(symbol,symbol) 
  prefix_yl(symbol,integer) 
  suffix(symbol,integer) 
  suffix_yl(symbol,integer)
  gap_wb(integer)
  gap_wob(integer)
  max_alkyl(integer)


GLOBAL PREDICATES


%---- DRAW.PRO -----
determ  draw(Llist,Llist,Llist,Llist,Llist,Llist,integer) - (i,i,i,i,i,i,o)

%---- MENU.PRO ----
determ  menu(INTEGER,INTEGER,STRLIST,INTEGER) - (i,i,i,o)
determ  readkey(KEY) - (o)


%----- SYNTAX.PRO ----
determ  syntax_check(List,Symbol) - (i,o)


%---- SEMANTIC.PRO ----
determ  semantic_check(List,LList,LList,LList,LList,LList,LList,symbol) - (i,o,o,o,o,o,o,o)


%---- MAIN.PRO & STEMS.DBA ----
nondeterm  prefix2(symbol,integer) - (o,o), (i,o), (o,i), (i,i)
nondeterm  iupac_name(symbol,symbol) - (i,o), (o,i)
determ  error(symbol,symbol,symbol) - (i,i,i)
determ  max_C_wb(integer) - (o)
determ  max_C_wob(integer) - (o)
